summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/lib/aux.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index d33a13882..6a0b9da93 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -457,7 +457,12 @@ teardown_devs() {
# prepare_scsi_debug_dev() also sets LOOP to short-circuit prepare_loop()
if test -f SCSI_DEBUG_DEV; then
udev_wait
- test "${LVM_TEST_PARALLEL:-0}" -eq 1 || modprobe -r scsi_debug
+ test "${LVM_TEST_PARALLEL:-0}" -eq 1 || {
+ if ! modprobe -r scsi_debug ; then
+ sleep 1
+ modprobe -r scsi_debug || true
+ fi
+ }
else
test ! -f LOOP || losetup -d "$(< LOOP)" || true
test ! -f LOOPFILE || rm -f "$(< LOOPFILE)"